<?php
require_once '/usr/share/php/Fedora/Autoloader/autoload.php';

// classes
\Fedora\Autoloader\Autoload::addPsr4('Safe', __DIR__ . '/lib');
\Fedora\Autoloader\Autoload::addPsr4('Safe', __DIR__ . '/generated');
\Fedora\Autoloader\Autoload::addPsr4('Safe', __DIR__ . '/deprecated');

// files & dependencies
\Fedora\Autoloader\Dependencies::required(array(
  __DIR__.'/deprecated/apc.php',
  __DIR__.'/deprecated/libevent.php',
  __DIR__.'/deprecated/mssql.php',
  __DIR__.'/deprecated/stats.php',
  __DIR__.'/lib/special_cases.php',
  __DIR__.'/generated/apache.php',
  __DIR__.'/generated/apcu.php',
  __DIR__.'/generated/array.php',
  __DIR__.'/generated/bzip2.php',
  __DIR__.'/generated/calendar.php',
  __DIR__.'/generated/classobj.php',
  __DIR__.'/generated/com.php',
  __DIR__.'/generated/cubrid.php',
  __DIR__.'/generated/curl.php',
  __DIR__.'/generated/datetime.php',
  __DIR__.'/generated/dir.php',
  __DIR__.'/generated/eio.php',
  __DIR__.'/generated/errorfunc.php',
  __DIR__.'/generated/exec.php',
  __DIR__.'/generated/fileinfo.php',
  __DIR__.'/generated/filesystem.php',
  __DIR__.'/generated/filter.php',
  __DIR__.'/generated/fpm.php',
  __DIR__.'/generated/ftp.php',
  __DIR__.'/generated/funchand.php',
  __DIR__.'/generated/gmp.php',
  __DIR__.'/generated/gnupg.php',
  __DIR__.'/generated/hash.php',
  __DIR__.'/generated/ibase.php',
  __DIR__.'/generated/ibmDb2.php',
  __DIR__.'/generated/iconv.php',
  __DIR__.'/generated/image.php',
  __DIR__.'/generated/imap.php',
  __DIR__.'/generated/info.php',
  __DIR__.'/generated/ingres-ii.php',
  __DIR__.'/generated/inotify.php',
  __DIR__.'/generated/json.php',
  __DIR__.'/generated/ldap.php',
  __DIR__.'/generated/libxml.php',
  __DIR__.'/generated/lzf.php',
  __DIR__.'/generated/mailparse.php',
  __DIR__.'/generated/mbstring.php',
  __DIR__.'/generated/misc.php',
  __DIR__.'/generated/mysql.php',
  __DIR__.'/generated/mysqli.php',
  __DIR__.'/generated/mysqlndMs.php',
  __DIR__.'/generated/mysqlndQc.php',
  __DIR__.'/generated/network.php',
  __DIR__.'/generated/oci8.php',
  __DIR__.'/generated/opcache.php',
  __DIR__.'/generated/openssl.php',
  __DIR__.'/generated/outcontrol.php',
  __DIR__.'/generated/password.php',
  __DIR__.'/generated/pcntl.php',
  __DIR__.'/generated/pcre.php',
  __DIR__.'/generated/pgsql.php',
  __DIR__.'/generated/posix.php',
  __DIR__.'/generated/ps.php',
  __DIR__.'/generated/pspell.php',
  __DIR__.'/generated/readline.php',
  __DIR__.'/generated/rpminfo.php',
  __DIR__.'/generated/rrd.php',
  __DIR__.'/generated/sem.php',
  __DIR__.'/generated/session.php',
  __DIR__.'/generated/shmop.php',
  __DIR__.'/generated/simplexml.php',
  __DIR__.'/generated/sockets.php',
  __DIR__.'/generated/solr.php',
  __DIR__.'/generated/spl.php',
  __DIR__.'/generated/sqlsrv.php',
  __DIR__.'/generated/ssdeep.php',
  __DIR__.'/generated/ssh2.php',
  __DIR__.'/generated/stream.php',
  __DIR__.'/generated/strings.php',
  __DIR__.'/generated/swoole.php',
  __DIR__.'/generated/uodbc.php',
  __DIR__.'/generated/uopz.php',
  __DIR__.'/generated/url.php',
  __DIR__.'/generated/var.php',
  __DIR__.'/generated/xdiff.php',
  __DIR__.'/generated/xml.php',
  __DIR__.'/generated/xmlrpc.php',
  __DIR__.'/generated/yaml.php',
  __DIR__.'/generated/yaz.php',
  __DIR__.'/generated/zip.php',
  __DIR__.'/generated/zlib.php',
));

\Fedora\Autoloader\Dependencies::optional(array(
   // no optional dependencies
));
